Arch Clôture

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Fence and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente: Arch Frame.svg Frame
Page suivante: Équipement Arch Equipment.svg Arrow-right.svg

Arch Fence.svg Arch Clôture

Emplacement du menu
Arch → Fence
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Aucun


Description

L'outil Arch Clôture est un objet qui construit une clôture en répétant un poteau et une section de clôture le long d'un chemin donné.

Arch Fence description example.png

Utilisation

Création à partir de zéro

  1. Utilisez un atelier de votre choix pour créer un seul poteau de clôture et une seule section.
  2. Créez le chemin que la clôture doit suivre à l'aide de l'atelier Sketcher ou de l'atelier Draft.
  3. Revenez à l'atelier Arch.
  4. Sélectionnez la section, la publication et le chemin dans exactement cet ordre.
  5. Appuyez sur le bouton Arch Fence.svg Arch Clôture.

Options

Pour l'instant, l'outil suppose ce qui suit

  1. Le chemin est dessiné sur le plan XY
  2. La section et le poteau sont dessinés à l'origine de manière à rester debout dans la vue de face

Propriétés

Données

  • DONNÉESPath: chemin d'accès que doit suivre la clôture
  • DONNÉESPost: Un post de clôture unique à répéter
  • DONNÉESSection: Une seule section à répéter
  • DONNÉESNumber Of Posts: nombre total de messages utilisés pour construire la clôture. Ceci est calculé automatiquement.
  • DONNÉESNumber Of Sections: nombre total de sections utilisées pour construire la clôture. Ceci est calculé automatiquement.

Vue

  • VUEUse Original Colors: Lorsque l'option est définie sur True, la clôture utilisera les couleurs de la section d'origine. Sinon, la définition de ShapeColor de la clôture sera utilisée pour coloriser la clôture.

Script

L'outil Clôture peut être utilisé dans une macro et à partir de la console Python à l'aide de la fonction suivante:

Fence = buildFence(section, post, path)

Exemple.

import FreeCAD
import Part
import Arch

parts = []

parts.append(Part.makeBox(2000, 50, 30, FreeCAD.Vector(0, 0, 1000 - 30)))
parts.append(Part.makeBox(2000, 50, 30))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(0, 15, 30)))
parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector(1980, 15, 30)))

for i in range(8):
    parts.append(Part.makeBox(20, 20, 1000 - 60, FreeCAD.Vector((2000 / 9 * (i + 1)) - 10, 15, 30)))

Part.show(Part.makeCompound(parts), "Fence_section")
fence_section = FreeCAD.ActiveDocument.Fence_section

sketch = FreeCAD.ActiveDocument.addObject("Sketcher::SketchObject", "Path")
sketch.Placement = FreeCAD.Placement(FreeCAD.Vector(0, 0, 0), FreeCAD.Rotation(0, 0, 0, 1))
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(20000, 0, 0)), False)
sketch.addGeometry(Part.LineSegment(FreeCAD.Vector(20000, 0, 0), FreeCAD.Vector(20000, 20000, 0)), False)

post = Part.makeBox(100, 100, 1000, FreeCAD.Vector(0, 0, 0))
Part.show(post, "Post")
post = FreeCAD.ActiveDocument.Post

Fence = Arch.buildFence(fence_section, post, sketch)
Arrow-left.svg Page précédente: Arch Frame.svg Frame
Page suivante: Équipement Arch Equipment.svg Arrow-right.svg